#include<bits/stdc++.h>
using namespace std;
int main()
{
    long long n;
    cin>>n;
    long long otg=0;
    long long del;
    for(long long i=1; i<n/2; i++)
    {
        if(n%i==0)
        {
            del=n/i;
            for(long long j=i; j<=del/2; j++)
            {
                if(del%j==0 && del/j>=j)
                {
                    otg++;
                }
            }
        }
    }
    cout<<otg<<endl;
    return 0;
}
